de.dhbwstuttgart.syntaxtree.modifier

## Class Private

- java.lang.Object
- - de.dhbwstuttgart.syntaxtree.modifier.Modifier
  - - de.dhbwstuttgart.syntaxtree.modifier.Private

-     public class Private
      extends Modifier

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Private()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `short` | `getBitmask()` Liefert den Wert des Access-Modifiers fuer die Bytecode-Generierung zurueck.
    `JavaCodeResult` | `printJavaCode(ResultSet resultSet)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Private

          public Private()

  - ### Method Detail

    - #### getBitmask

          public short getBitmask()

      Description copied from class: `Modifier`
      Liefert den Wert des Access-Modifiers fuer die Bytecode-Generierung zurueck.
      Specified by:
        `getBitmask` in class `Modifier`

    - #### printJavaCode

          public JavaCodeResult printJavaCode(ResultSet resultSet)

      Specified by:
        `printJavaCode` in class `Modifier`